%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(ExtUtils/MakeMaker.pm) perl(File/Find.pm) perl(File/Spec/Functions.pm) perl(Module/Load.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Pod/Usage.pm) perl(Storable.pm) perl(Test/Builder.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FITesque.pm) perl(Test/More.pm) perl(WWW/Selenium.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name Test-A8N
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators perl(Pod/Select.pm)

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Storytest Automation Runner
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NA/NACHBAUR/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Test::A8N was created as a mechanism for writing and running automated
storytests in a human-readable and reusable fashion.  Its storytest files
are easily readable, are natural to write, and are easy for non-technical
users to read, while still being easy for developers to automate.

It works by leveraging the Test::FITesque manpage to describe test fixtures in a
list style, while providing syntatic sugar for test authors.  The tests
themselves are written in YAML, and while they have a specific
structure, it doesn't limit test author's flexibility.  And many of the
features of YAML, most notably its concept of creating pointers between
different parts of a document, means reusing parts of your tests for use
elsewhere is trivial.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

